Bug 29810 - Formatting partitions of RAID volume taking to long
Formatting partitions of RAID volume taking to long
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Depends On:
  Show dependency treegraph
Reported: 2001-02-27 14:17 EST by Tesfamariam Michael
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-02 12:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix scsi request merging (349 bytes, patch)
2001-03-02 12:04 EST, Stephen Tweedie
no flags Details | Diff

  None (edit)
Description Tesfamariam Michael 2001-02-27 14:17:59 EST
When installing Florence (Wolverine) to a system with PERC2/DC, PERC3/QC, 
or PERC3/DC (megaraid driver) with large Volume size (36GB or larger), the 
installation will take over 30 minutes when it gets to formatting the 
partitions with "Formatting /XX filesystem" message where XX is the 
mounting point. On VC5, it sit "Writing inode table: 1/YYY" where YYY is 
the number of blocks. Depending on how large YYY is, the system will sit 
there but once it passes from 1/YYY to 2/YYY, it will go fairly quickly.
I believe the same thing happenes when using a SCSI controller with large 
hard drives.
Comment 1 Stephen Tweedie 2001-03-02 12:04:02 EST
Created attachment 11600 [details]
Fix scsi request merging
Comment 2 Stephen Tweedie 2001-03-02 12:06:11 EST
The attached patch has just been checked in to fix scsi request merging.  It
will be in our next kernel.  Please reopen this bug if it doesn't fix your
performance problem.
Comment 3 Michael K. Johnson 2001-03-02 12:34:43 EST
"next" being 2.4.2-0.1.20 or later

Note You need to log in before you can comment on or make changes to this bug.